## wallclock.tar.bz2

=== qml1-shadersplugin/Makefile ===
#############################################################################
# Makefile for building: qmlshadersplugin
# Generated by qmake (2.01a) (Qt 4.8.1) on: Sun Sep 23 13:08:06 2012
# Project:  qmlshadersplugin.pro
# Template: subdirs
# Command: /usr/bin/qmake CONFIG+=release QMAKE_CXXFLAGS_RELEASE+=-g QMAKE_STRIP=echo -o Makefile qmlshadersplugin.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/dm8tbr/src/qml-lcd/qml1-shadersplugin/src/src.pro CONFIG+=release QMAKE_CXXFLAGS_RELEASE+=-g QMAKE_STRIP=echo -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/dm8tbr/src/qml-lcd/qml1-shadersplugin/src/src.pro CONFIG+=release QMAKE_CXXFLAGS_RELEASE+=-g QMAKE_STRIP=echo -o $(MAKEFILE)
sub-src: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: qmlshadersplugin.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) CONFIG+=release QMAKE_CXXFLAGS_RELEASE+=-g QMAKE_STRIP=echo -o Makefile qmlshadersplugin.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) CONFIG+=release QMAKE_CXXFLAGS_RELEASE+=-g QMAKE_STRIP=echo -o Makefile qmlshadersplugin.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

sub-src-check: src/$(MAKEFILE)
	cd src/ && $(MAKE) -f $(MAKEFILE) check
check: sub-src-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== qml1-shadersplugin/src/Makefile ===
#############################################################################
# Makefile for building: libqmlshadersplugin.so
# Generated by qmake (2.01a) (Qt 4.8.1) on: Sun Sep 23 13:08:06 2012
# Project:  src.pro
# Template: lib
# Command: /usr/bin/qmake CONFIG+=release QMAKE_CXXFLAGS_RELEASE+=-g QMAKE_STRIP=echo -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_WEBKIT -DQT_NO_DEBUG -DQT_PLUGIN -DQT_DECLARATIVE_LIB -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -g -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4/QtDeclarative -I/usr/include/qt4 -I/usr/X11R6/include -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -shared
LIBS          = $(SUBLIBS)  -L/usr/lib/i386-linux-gnu -L/usr/X11R6/lib -lQtDeclarative -lQtOpenGL -lQtGui -lQtCore -lGL -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = echo
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = qmlshadersplugin_plugin.cpp \
		shadereffect.cpp \
		shadereffectitem.cpp \
		shadereffectsource.cpp \
		scenegraph/qsggeometry.cpp \
		shadereffectbuffer.cpp moc_qmlshadersplugin_plugin.cpp \
		moc_shadereffect.cpp \
		moc_shadereffectitem.cpp \
		moc_shadereffectsource.cpp
OBJECTS       = qmlshadersplugin_plugin.o \
		shadereffect.o \
		shadereffectitem.o \
		shadereffectsource.o \
		qsggeometry.o \
		shadereffectbuffer.o \
		moc_qmlshadersplugin_plugin.o \
		moc_shadereffect.o \
		moc_shadereffectitem.o \
		moc_shadereffectsource.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = qmlshadersplugin
DESTDIR       = 
TARGET        = libqmlshadersplugin.so
TARGETD       = libqmlshadersplugin.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)



Makefile: src.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/i386-linux-gnu/libQtDeclarative.prl \
		/usr/lib/i386-linux-gnu/libQtOpenGL.prl \
		/usr/lib/i386-linux-gnu/libQtGui.prl \
		/usr/lib/i386-linux-gnu/libQtCore.prl
	$(QMAKE) CONFIG+=release QMAKE_CXXFLAGS_RELEASE+=-g QMAKE_STRIP=echo -o Makefile src.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/opengl.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/i386-linux-gnu/libQtDeclarative.prl:
/usr/lib/i386-linux-gnu/libQtOpenGL.prl:
/usr/lib/i386-linux-gnu/libQtGui.prl:
/usr/lib/i386-linux-gnu/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) CONFIG+=release QMAKE_CXXFLAGS_RELEASE+=-g QMAKE_STRIP=echo -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qmlshadersplugin1.0.0 || $(MKDIR) .tmp/qmlshadersplugin1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qmlshadersplugin1.0.0/ && $(COPY_FILE) --parents qmlshadersplugin_plugin.h glfunctions.h shadereffect.h shadereffectitem.h shadereffectsource.h scenegraph/qsggeometry.h shadereffectbuffer.h .tmp/qmlshadersplugin1.0.0/ && $(COPY_FILE) --parents qmlshadersplugin_plugin.cpp shadereffect.cpp shadereffectitem.cpp shadereffectsource.cpp scenegraph/qsggeometry.cpp shadereffectbuffer.cpp .tmp/qmlshadersplugin1.0.0/ && (cd `dirname .tmp/qmlshadersplugin1.0.0` && $(TAR) qmlshadersplugin1.0.0.tar qmlshadersplugin1.0.0 && $(COMPRESS) qmlshadersplugin1.0.0.tar) && $(MOVE) `dirname .tmp/qmlshadersplugin1.0.0`/qmlshadersplugin1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qmlshadersplugin1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qmlshadersplugin_plugin.cpp moc_shadereffect.cpp moc_shadereffectitem.cpp moc_shadereffectsource.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qmlshadersplugin_plugin.cpp moc_shadereffect.cpp moc_shadereffectitem.cpp moc_shadereffectsource.cpp
moc_qmlshadersplugin_plugin.cpp: qmlshadersplugin_plugin.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) qmlshadersplugin_plugin.h -o moc_qmlshadersplugin_plugin.cpp

moc_shadereffect.cpp: shadereffect.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) shadereffect.h -o moc_shadereffect.cpp

moc_shadereffectitem.cpp: shadereffectsource.h \
		scenegraph/qsggeometry.h \
		shadereffectitem.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) shadereffectitem.h -o moc_shadereffectitem.cpp

moc_shadereffectsource.cpp: shadereffectsource.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) shadereffectsource.h -o moc_shadereffectsource.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

qmlshadersplugin_plugin.o: qmlshadersplugin_plugin.cpp qmlshadersplugin_plugin.h \
		shadereffectitem.h \
		shadereffectsource.h \
		scenegraph/qsggeometry.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qmlshadersplugin_plugin.o qmlshadersplugin_plugin.cpp

shadereffect.o: shadereffect.cpp shadereffect.h \
		shadereffectbuffer.h \
		shadereffectsource.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o shadereffect.o shadereffect.cpp

shadereffectitem.o: shadereffectitem.cpp shadereffectitem.h \
		shadereffectsource.h \
		scenegraph/qsggeometry.h \
		shadereffect.h \
		glfunctions.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o shadereffectitem.o shadereffectitem.cpp

shadereffectsource.o: shadereffectsource.cpp shadereffectsource.h \
		shadereffectbuffer.h \
		shadereffect.h \
		glfunctions.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o shadereffectsource.o shadereffectsource.cpp

qsggeometry.o: scenegraph/qsggeometry.cpp scenegraph/qsggeometry.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qsggeometry.o scenegraph/qsggeometry.cpp

shadereffectbuffer.o: shadereffectbuffer.cpp shadereffectbuffer.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o shadereffectbuffer.o shadereffectbuffer.cpp

moc_qmlshadersplugin_plugin.o: moc_qmlshadersplugin_plugin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_qmlshadersplugin_plugin.o moc_qmlshadersplugin_plugin.cpp

moc_shadereffect.o: moc_shadereffect.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_shadereffect.o moc_shadereffect.cpp

moc_shadereffectitem.o: moc_shadereffectitem.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_shadereffectitem.o moc_shadereffectitem.cpp

moc_shadereffectsource.o: moc_shadereffectsource.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_shadereffectsource.o moc_shadereffectsource.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/qt4/imports/Qt/labs/shaders/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/qt4/imports/Qt/labs/shaders/ 
	-$(INSTALL_PROGRAM) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/qt4/imports/Qt/labs/shaders/$(TARGET)"
	-$(STRIP) --strip-unneeded "$(INSTALL_ROOT)/usr/lib/qt4/imports/Qt/labs/shaders/$(TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/qt4/imports/Qt/labs/shaders/$(TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/qt4/imports/Qt/labs/shaders/ 


install_qmlfiles: first FORCE

=== qml1-shadersplugin/debian/changelog ===
qmlshadersplugin (1.0~git20110414-2) unstable; urgency=low

  * Debian packaging fix.

 -- Aleksandar Stojiljkovic <aleksandar.stojiljkovic@nokia.com>  Thu, 03 May 2011 10:58:07 +0300

qmlshadersplugin (1.0~git20110414~1) unstable; urgency=low

  * Debian packaging for the whole project

 -- Aleksandar Stojiljkovic <aleksandar.stojiljkovic@nokia.com>  Thu, 14 Apr 2011 12:40:07 +0300

qmlshadersplugin (1.0~git20110121-1) unstable; urgency=low

  * Initial release

 -- Kim Grönholm <kim.1.gronholm@nokia.com>  Fri, 21 Jan 2011 15:21:07 +0300

=== qml1-shadersplugin/debian/control ===
Source: qmlshadersplugin
Section: libs
Priority: optional
Maintainer: Kim Grönholm <kim.1.gronholm@nokia.com>
Build-Depends: debhelper (>= 5), libqt4-dev(>= 4.7.0~), libqt4-declarative(>= 4.7.0~), libqt4-opengl-dev
Standards-Version: 3.7.2

Package: qmlshadersplugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QML Shader Effects plugin
 QML Shader Effects plugin

Package: qmlshadersplugin-dbg
Section: debug
Architecture: any
Depends: qmlshadersplugin (=${binary:Version})
Description: QML Shader Effects plugin (debug symbols)
 QML Shader Effects plugin
 .
 This package contains debugging symbols for qmlshadersplugin.

Package: qmlshadersplugin-demos
Section: apps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qmlshadersplugin
Description: Example projects demonstrating shader effects in QML
 Example projects demonstrating shader effects in QML

Package: qmlshadersplugin-demos-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, effectsuite
Description: Example projects demonstrating shader effects in QML (debug symbols)
 Example projects demonstrating shader effects in QML
 .
 This package contains the debugging symbols for QML shader effects demo applications,

=== qml1-shadersplugin/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

TMP_BUILD_OPTS = $(subst $(comma),$(space),$(DEB_BUILD_OPTIONS))
MAKEDEMOS = 1

ifneq (,$(filter parallel=%,$(TMP_BUILD_OPTS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(TMP_BUILD_OPTS)))
    PARALLEL_MAKEFLAGS += -j$(NUMJOBS)
endif

# Disable building of demos by setting DEB_BUILD_OPTION=nodemos,...
ifneq (,$(filter nodemos,$(TMP_BUILD_OPTS)))
	#No demos
	EXCLUSIONS += --no-package=qmlshadersplugin-demos
	EXCLUSIONS += --no-package=qmlshadersplugin-demos-dbg
	MAKEDEMOS = 0
endif

QMAKE_OPTIONS += CONFIG+=release
# Add debug symbols to release configuration, and prevent make to strip them
# (these are later stripped from binaries into dbg package with dh_strip).
QMAKE_OPTIONS += QMAKE_CXXFLAGS_RELEASE+=-g
QMAKE_OPTIONS += QMAKE_STRIP=echo

build: build-stamp
build-stamp:
	dh_testdir
	qmake -r $(QMAKE_OPTIONS) ./qmlshadersplugin.pro
	+$(MAKE) $(PARALLEL_MAKEFLAGS)
ifneq (0,$(MAKEDEMOS))
	qmake -r $(QMAKE_OPTIONS) ./demos.pro -o Makefile_demos
	+$(MAKE) $(PARALLEL_MAKEFLAGS) -f Makefile_demos
endif
	touch $@

install: install-stamp

install-stamp: build-stamp
	dh_testdir
	dh_testroot

# FIXME check if dh_prep is available for maemo5 - N900 to replace deprecated dh_clean -k
	dh_clean -k

	dh_installdirs
	INSTALL_ROOT=$(CURDIR)/debian/tmp $(MAKE) install
ifneq (0,$(MAKEDEMOS))
	INSTALL_ROOT=$(CURDIR)/debian/tmp $(MAKE) -f Makefile_demos install
endif
	touch $@

clean:
	dh_testdir
	dh_testroot

	$(MAKE) distclean -f Makefile || true
	$(MAKE) distclean -f Makefile_demos || true

	dh_clean build-stamp install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir $(EXCLUSIONS)
	+./debian/configure_package_install_files
	dh_testroot $(EXCLUSIONS)
	dh_installchangelogs $(EXCLUSIONS)
	dh_installdocs $(EXCLUSIONS)
	dh_install --sourcedir=debian/tmp/ $(EXCLUSIONS) -v
	# print warnings for not installed files
	dh_install --sourcedir=debian/tmp/ $(EXCLUSIONS) --list-missing
	dh_link $(EXCLUSIONS)
	dh_strip -p qmlshadersplugin --dbg-package=qmlshadersplugin-dbg
ifneq (0,$(MAKEDEMOS))
	dh_strip -p qmlshadersplugin-demos --dbg-package=qmlshadersplugin-demos-dbg
endif
	dh_compress $(EXCLUSIONS)
	dh_fixperms $(EXCLUSIONS)
	dh_makeshlibs $(EXCLUSIONS)
	dh_installdeb $(EXCLUSIONS)
	dh_shlibdeps $(EXCLUSIONS)
	dh_gencontrol $(EXCLUSIONS)
	dh_md5sums $(EXCLUSIONS)
	dh_builddeb $(EXCLUSIONS)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
